<?php
include("../conexion/conexion.php");

include("../conexion/turnos.php");

if(isset($_POST["solici"])){
$feha1=$_POST["fecha1"];
$feha2=$_POST["fecha2"];
$horaI=date('H:i:s', strtotime($_POST["horaI"]));
$horaF=date('H:i:s', strtotime($_POST["horaF"]));



$feha1=$feha1." ".$horaI;
$feha2=$feha2." ".$horaF;
$bodega=$_POST["bodega"];
// echo(var_dump($feha1));
$usuarioA=trim($_POST["usuarioA"]);

turno($bodega);

  if($usuarioA==""){
    if($_SESSION["tipo"]==0){
      $usuarioA=$GLOBALS["turno"];
    } 
  }


if($_SESSION["tipo"]==1){

  if($_SESSION["cuadreCaja"]==true){
      if($_SESSION["activarTurnos"]==2){
        $USUARIO=$_POST["usuarioA"];
      }else{
          $USUARIO=$_SESSION["usuario"];
      }
  }else{
      $USUARIO=$_SESSION["usuario"];
      
  }
  

}else{
  $USUARIO= $_SESSION["usuario"];
}

// $USUARIO=$_SESSION["usuario"];
// if($_SESSION["activarTurnos"]==2){


$llamar=new  infoventas();
$mostra=$llamar->sumatotalrangofecha($feha1,$feha2,$bodega,$usuarioA,$USUARIO);



}
    


class infoventas{
    function __construct()
    {
        $conn=new conexion();
        $this->conectar=$conn->conectar();  
        $this->ExcluirFact=$_SESSION["cuadreDetallado"];
    }


function sumatotalrangofecha($feha1,$feha2,$bodega,$usuarioA,$USUARIO){
if($usuarioA==""){
  if($_SESSION["activarTurnos"]==2){
    
    if($_SESSION["tipo"]==1){
      // $consulta="SELECT * FROM facturas WHERE LEFT(fechaFactura,10)   BETWEEN '$feha1' AND '$feha2' AND idbodegaF=$bodega" ;
   
       $consulta="SELECT * FROM facturas WHERE fechaFactura   BETWEEN '$feha1' AND '$feha2' AND idbodegaF=$bodega  and  tipoFactura <> '$this->ExcluirFact'" ;
  
  }else{

    $consulta="SELECT * FROM facturas WHERE fechaFactura  BETWEEN '$feha1' AND '$feha2' AND idbodegaF=$bodega and usuariof='$USUARIO' and  tipoFactura <> '$this->ExcluirFact'" ;
      // $consulta="SELECT * FROM facturas WHERE LEFT(fechaFactura,10)   BETWEEN '$feha1' AND '$feha2' AND idbodegaF=$bodega and usuariof='$USUARIO'" ;
    }
    
  }else{

    $consulta="SELECT * FROM facturas WHERE fechaFactura   BETWEEN '$feha1' AND '$feha2' AND idbodegaF=$bodega and  tipoFactura <> '$this->ExcluirFact'" ;
  // $consulta="SELECT * FROM facturas WHERE LEFT(fechaFactura,10)   BETWEEN '$feha1' AND '$feha2' AND idbodegaF=$bodega" ;
  }

}else{
  if($_SESSION["activarTurnos"]==2){

    $consulta="SELECT * FROM facturas WHERE fechaFactura   BETWEEN '$feha1' AND '$feha2' AND idbodegaF=$bodega and usuariof='$USUARIO' and  tipoFactura <>'$this->ExcluirFact'";
    // $consulta="SELECT * FROM facturas WHERE LEFT(fechaFactura,10)   BETWEEN '$feha1' AND '$feha2' AND idbodegaF=$bodega and usuariof='$USUARIO'";
  }else{

    $consulta="SELECT * FROM facturas WHERE fechaFactura  BETWEEN '$feha1' AND '$feha2' AND idbodegaF=$bodega and facturno='$usuarioA' and  tipoFactura <> '$this->ExcluirFact'";
    // $consulta="SELECT * FROM facturas WHERE LEFT(fechaFactura,10)   BETWEEN '$feha1' AND '$feha2' AND idbodegaF=$bodega and facturno='$usuarioA'";
  }
  
}
    
    $resultado=$this->conectar->query($consulta);

    $total=0;
    $iva5=0;
    $iva19=0;
    $base5=0;
    $base19=0;
    $efectiv=0;
    $tcredicto=0;
    $tdebito=0;
    $vcredict=0;
    $excento=0;
    $excluido=0;
    $domicili=0;
    $pos=0;
    $electronico=0;
    $totalDevolu=0;
     $totalDevoluOtraFec=0;
    $ivaipc=0;$baseipc=0;$ivaotro=0;$baseotro=0;
    $servicio=0;
    $Convenios=0;
    
   // $cambi=0;

   if(!is_numeric($servicio)){
    $servicio=0;
   }

      while($file=mysqli_fetch_object($resultado)){
      




          $valor=$file->valor;
          $iv=$file->iva5;
          $iv19=$file->iva19;
          $b19=$file->base19;
          $b5=$file->base5;      
          $excen=$file->excento;
          $excluid=$file->excluido;

          $ivaipcc=$file->ivaipc;
          $baseipcc=$file->baseipc;
          $ivaotroc=$file->ivaotro;
          $baseotroc=$file->baseotro;
          $servicioF=$file->propina;

          //$cambio=$file->devuelta;
          //anexar german
          if($file->efectivo==0 && $file->ventCredicto==0 && $file->tcredicto==0 && $file->tdebito==0){
            $efectiv=$efectiv+$valor;
         }
     //fin anexar german

          if($file->efectivo==0){

            if($file->ventCredicto>0){
             
                  if($file->valor - $file->ventCredicto<=0){
                    $vcredict= $vcredict+$valor;
                  }else{
                    //nuevo agregado
                    if($file->valor -( $file->ventCredicto+$file->tcredicto)<=0){
                      $vcredict= $vcredict+$file->ventCredicto;
                      $tcredicto= $tcredicto+$file->tcredicto;
                    }else{

                      if($file->valor -( $file->ventCredicto+$file->tdebito)<=0){
                        $vcredict= $vcredict+$file->ventCredicto;
                        $tdebito= $tdebito+$file->tdebito;
                      }

                    }



                    //finnuevo agregado
                  }
            }else{

                if($file->tcredicto>0){

                    if($file->valor-$file->tcredicto<=0){
                      $tcredicto= $tcredicto+$valor;
                    }else{

                      
                        //nuevo agregado
                        if($file->valor -( $file->ventCredicto+$file->tcredicto)<=0){
                          $vcredict= $vcredict+$file->ventCredicto;
                          $tcredicto= $tcredicto+$file->tcredicto;
                        }else{
    
                          if($file->valor -( $file->tcredicto+$file->tdebito)<=0){
                            $tcredicto= $tcredicto+$file->tcredicto;
                            $tdebito= $tdebito+$file->tdebito;
                          }
    
                       
    
    
    
                        //finnuevo agregado
                      }




                    }

                }else{

                    if($file->tdebito>0){

                      if($file->valor - $file->tdebito<=0){
                        $tdebito= $tdebito+$valor;
                      }else{

                          
                        //nuevo agregado
                        if($file->valor -( $file->ventCredicto+$file->tdebito)<=0){
                          $vcredict= $vcredict+$file->ventCredicto;
                          $tdebito= $tdebito+$file->tdebito;
                        }else{
    
                          if($file->valor -( $file->tcredicto+$file->tdebito)<=0){
                            $tcredicto= $tcredicto+$file->tcredicto;
                            $tdebito= $tdebito+$file->tdebito;
                          }
    
                          
    
                        //finnuevo agregado
                        }
                      }

                    }


                }

             }

         }else{
                  if($file->valor - $file->efectivo<=0){
                    $efectiv=$efectiv+$file->valor;

                  }else{

                    if($file->valor- ($file->efectivo +$file->tcredicto)<=0){
                      $efectiv=$efectiv+$file->efectivo;
                      $tcredicto= $tcredicto+$file->tcredicto;

                    }else{

                      if($file->valor- ($file->efectivo +$file->tdebito)<=0){
                        $efectiv=$efectiv+$file->efectivo;
                         $tdebito= $tdebito+$file->tdebito;
  
                      }else{

                        if($file->valor- ($file->efectivo +$file->ventCredicto)<=0){
                          $efectiv=$efectiv+$file->efectivo;
                           $vcredict= $vcredict+$file->ventCredicto;
    
                        }else{
                          if($file->valor- ($file->efectivo +$file->tdebito+$file->tcredicto )<=0){
                            $efectiv=$efectiv+$file->efectivo;
                            $tdebito= $tdebito+$file->tdebito;
                            $tcredicto= $tcredicto+$file->tcredicto;
      
                          }

                        }


                      }


                    }
                    

                  }
          }
          
  
          $total=$total+$valor;
          $iva5=$iva5+$iv;
          $iva19=$iva19+$iv19;
          $base5=$base5+$b5;
          $base19=$base19+$b19;
         
          $excento=$excento+$excen;
          $excluido=$excluido+$excluid;

          $ivaipc=$ivaipc+$ivaipcc;
          $baseipc=$baseipc+$baseipcc;
          $ivaotro=$ivaotro+$ivaotroc;
          $baseotro=$baseotro+$baseotroc;
          $servicio= $servicio+$servicioF;
         

          if($file->tipoFactura=="Pos" && $file->tipoAtencion !="Domicilio"){
         
            $pos=$pos+$file->valor;
          }else{
            if($file->tipoFactura=="Electronica" && $file->tipoAtencion !="Domicilio"){
              $electronico=$electronico+ $file->valor;
            }else{
              if($file->tipoFactura=="Domicilio"){
                $domicili= $domicili+ $file->valor;
              }
            }
          }

          if($file->tipoAtencion=="Domicilio"){
            $domicili= $domicili+ $file->valor;
          }
          if($file->tipoAtencion=="Convenios"){
            $Convenios= $Convenios+ $file->valor;
          }

      }
        
        
        
       // $cambi=$cambi+$cambio;

    
       
    



      
//devoluciones de facturas de diferentes fechas

if($usuarioA==""){

  if($_SESSION["activarTurnos"]==2){

    if($_SESSION["tipo"]==1){
      $consulta="SELECT * FROM facturas WHERE fechaDevolucion   BETWEEN '$feha1' AND '$feha2'  AND idbodegaF=$bodega and  tipoFactura <> '$this->ExcluirFact' ";
      // $consulta="SELECT * FROM facturas WHERE LEFT(fechaDevolucion,10)   BETWEEN '$feha1' AND '$feha2'  AND idbodegaF=$bodega ";
    }else{
      // $consulta="SELECT * FROM facturas INNER JOIN devoluciones on facturas.factura=devoluciones.numFactur  WHERE  LEFT(fechaDevolucion,10)   BETWEEN '$feha1' AND '$feha2'  AND idbodegaF=$bodega and usuariod='$USUARIO'";
    
      $consulta="SELECT * FROM facturas INNER JOIN devoluciones on facturas.factura=devoluciones.numFactur  WHERE  fechaDevolucion   BETWEEN '$feha1' AND '$feha2'  AND idbodegaF=$bodega and usuariod='$USUARIO' and  tipoFactura <> '$this->ExcluirFact'";
    
    
    }
    
  }else{
  // $consulta="SELECT * FROM facturas   WHERE LEFT(fechaDevolucion,10)   BETWEEN '$feha1' AND '$feha2'  AND idbodegaF=$bodega";
  
  $consulta="SELECT * FROM facturas   WHERE fechaDevolucion   BETWEEN '$feha1' AND '$feha2'  AND idbodegaF=$bodega and  tipoFactura <> '$this->ExcluirFact'";

}
}else{
  if($_SESSION["activarTurnos"]==2){
    $consulta="SELECT * FROM facturas INNER JOIN devoluciones on facturas.factura=devoluciones.numFactur  WHERE fechaDevolucion   BETWEEN '$feha1' AND '$feha2'  AND idbodegaF=$bodega and  usuariod='$USUARIO' and  tipoFactura <> '$this->ExcluirFact' ";
    // $consulta="SELECT * FROM facturas INNER JOIN devoluciones on facturas.factura=devoluciones.numFactur  WHERE LEFT(fechaDevolucion,10)   BETWEEN '$feha1' AND '$feha2'  AND idbodegaF=$bodega and  usuariod='$USUARIO' ";
  }else{

    $consulta="SELECT * FROM facturas  INNER JOIN devoluciones on facturas.factura=devoluciones.numFactur  WHERE fechaDevolucion   BETWEEN '$feha1' AND '$feha2'  AND idbodegaF=$bodega and  dturno='$usuarioA' and  tipoFactura <> '$this->ExcluirFact'";
  // $consulta="SELECT * FROM facturas  INNER JOIN devoluciones on facturas.factura=devoluciones.numFactur  WHERE LEFT(fechaDevolucion,10)   BETWEEN '$feha1' AND '$feha2'  AND idbodegaF=$bodega and  dturno='$usuarioA'";
  }
}
     
      $resultado=$this->conectar->query($consulta);

     
   
     
      while($file=mysqli_fetch_object($resultado)){
        

        $total=$total-$file->valor;


            $fecha_inicio = strtotime($feha1);
             $fecha_fin = strtotime($feha2);
              $fechaf = strtotime(substr($file->fechaFactura, 0, 10));

          if(($fechaf >= $fecha_inicio) && ($fechaf <= $fecha_fin)) {

            
              $totalDevolu=$totalDevolu+$file->valor;

          } else {


              
                
               $totalDevoluOtraFec=$totalDevoluOtraFec+$file->valor;

          }
         
        

          

          $iva5=$iva5-$file->iva5;
          $iva19=$iva19-$file->iva19;
          $base5=$base5-$file->base5;
          $base19=$base19-$file->base19;
         
          $excento=$excento-$file->excento;
          $excluido=$excluido-$file->excluido;

          $ivaipc=$ivaipc-$file->ivaipc;
          $baseipc=$baseipc-$file->baseipc;
          $ivaotro=$ivaotro-$file->ivaotro;
          $baseotro= $baseotro-$file->baseotro;
          $servicio= $servicio-$file->propina;
        if($file->efectivo==0){

          if($file->ventCredicto>0){
           
                if($file->valor - $file->ventCredicto<=0){
                  $vcredict= $vcredict-$file->valor;
                }else{
                  //nuevo agregado
                  if($file->valor -( $file->ventCredicto+$file->tcredicto)<=0){
                    $vcredict= $vcredict-$file->ventCredicto;
                    $tcredicto= $tcredicto-$file->tcredicto;
                  }else{

                    if($file->valor -( $file->ventCredicto+$file->tdebito)<=0){
                      $vcredict= $vcredict-$file->ventCredicto;
                      $tdebito= $tdebito-$file->tdebito;
                    }

                  }



                  //finnuevo agregado
                }

          }else{

              if($file->tcredicto>0){

                  if($file->valor-$file->tcredicto<=0){
                    $tcredicto= $tcredicto-$file->valor;
                  }else{

                      
                    //nuevo agregado
                    if($file->valor -( $file->ventCredicto+$file->tcredicto)<=0){
                      $vcredict= $vcredict-$file->ventCredicto;
                      $tcredicto= $tcredicto-$file->tcredicto;
                    }else{

                      if($file->valor -( $file->tcredicto+$file->tdebito)<=0){
                        $tcredicto= $tcredicto-$file->tcredicto;
                        $tdebito= $tdebito-$file->tdebito;
                      }else{
                        if($file->valor- ($file->efectivo +$file->tdebito+$file->tcredicto )<=0){
                          $efectiv=$efectiv-$file->efectivo;
                          $tdebito= $tdebito-$file->tdebito;
                          $tcredicto= $tcredicto-$file->tcredicto;
    
                        }

                      }

                   



                    //finnuevo agregado
                  }




                }


                  

              }else{

                  if($file->tdebito>0){

                    if($file->valor-$file->tdebito<=0){
                      $tdebito= $tdebito-$file->valor;
                    }else

                    {

                          
                      //nuevo agregado
                      if($file->valor -( $file->ventCredicto+$file->tdebito)<=0){
                        $vcredict= $vcredict-$file->ventCredicto;
                        $tdebito= $tdebito-$file->tdebito;
                      }else{
  
                        if($file->valor -( $file->tcredicto+$file->tdebito)<=0){
                          $tcredicto= $tcredicto-$file->tcredicto;
                          $tdebito= $tdebito-$file->tdebito;
                        }
  
                        
  
                      //finnuevo agregado
                      }
                    }

                  }


              }

           }

          }else{
                if($file->valor-$file->efectivo<=0){
                  
                 $efectiv=$efectiv - $file->valor;
                

                }else{

                  if($file->valor- ($file->efectivo +$file->tcredicto)<=0){
                    $efectiv=$efectiv - $file->efectivo;
                    $tcredicto= $tcredicto-$file->tcredicto;

                  }else{
                    if($file->valor- ($file->efectivo +$file->tdebito)<=0){
                      $efectiv=$efectiv - $file->efectivo;
                      $tdebito= $tdebito-$file->tdebito;
  
                    }else{

                      if($file->valor- ($file->efectivo +$file->ventCredicto)<=0){
                        $efectiv=$efectiv-$file->efectivo;
                         $vcredict= $vcredict-$file->ventCredicto;
  
                      }
                    }
                  }
                  

                }
        }
    


        if($file->tipoFactura=="Pos" && $file->tipoAtencion !="Domicilio"){
         
          $pos=$pos-$file->valor;
        }else{
          if($file->tipoFactura=="Electronica" && $file->tipoAtencion !="Domicilio"){
            $electronico=$electronico- $file->valor;
          }else{
            if($file->tipoFactura=="Domicilio"){
              $domicili= $domicili- $file->valor;
            }
          }
        }

        if( $file->tipoAtencion =="Domicilio"){
          $domicili= $domicili- $file->valor;
        }
        if($file->tipoAtencion=="Convenios"){
          $Convenios= $Convenios- $file->valor;
        }

      }



//fin devoluciones diferentes fechas






  //devoluciones parciales

  if($usuarioA==""){
    if($_SESSION["activarTurnos"]==2){

      if($_SESSION["tipo"]==1){
        // $consulta1="SELECT * FROM ventas WHERE LEFT(fechaDevoParcial,10)   BETWEEN '$feha1' AND '$feha2'  AND estadoDevolucion='PA' AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) " ;
        $consulta1="SELECT * FROM ventas WHERE fechaDevoParcial   BETWEEN '$feha1' AND '$feha2'  AND estadoDevolucion='PA' AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) " ;
     
      }else{
        // $consulta1="SELECT * FROM ventas INNER JOIN devoluciones on ventas.factura=devoluciones.numFactur  WHERE LEFT(fechaDevoParcial,10)   BETWEEN '$feha1' AND '$feha2' and usuariod='$USUARIO'  AND estadoDevolucion='PA' AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) " ;
      
        $consulta1="SELECT * FROM ventas INNER JOIN devoluciones on ventas.factura=devoluciones.numFactur  WHERE fechaDevoParcial   BETWEEN '$feha1' AND '$feha2' and usuariod='$USUARIO'  AND estadoDevolucion='PA' AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) " ;
      }

      
    }else{
    // $consulta1="SELECT * FROM ventas WHERE LEFT(fechaDevoParcial,10)   BETWEEN '$feha1' AND '$feha2'  AND estadoDevolucion='PA' AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) " ;
   
    $consulta1="SELECT * FROM ventas WHERE fechaDevoParcial   BETWEEN '$feha1' AND '$feha2'  AND estadoDevolucion='PA' AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) " ;
  
  }
 
  }else{
    if($_SESSION["activarTurnos"]==2){
      $consulta1="SELECT * FROM ventas INNER JOIN devoluciones on ventas.factura=devoluciones.numFactur WHERE fechaDevoParcial   BETWEEN '$feha1' AND '$feha2'  AND estadoDevolucion='PA' AND bodegaVenta=$bodega and usuariod='$USUARIO' AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null )";
      // $consulta1="SELECT * FROM ventas INNER JOIN devoluciones on ventas.factura=devoluciones.numFactur WHERE LEFT(fechaDevoParcial,10)   BETWEEN '$feha1' AND '$feha2'  AND estadoDevolucion='PA' AND bodegaVenta=$bodega and usuariod='$USUARIO' AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null )";
    }else{

      $consulta1="SELECT * FROM ventas INNER JOIN devoluciones on ventas.factura=devoluciones.numFactur WHERE fechaDevoParcial   BETWEEN '$feha1' AND '$feha2'  AND estadoDevolucion='PA' AND bodegaVenta=$bodega and dturno='$usuarioA' AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null )";
    // $consulta1="SELECT * FROM ventas INNER JOIN devoluciones on ventas.factura=devoluciones.numFactur WHERE LEFT(fechaDevoParcial,10)   BETWEEN '$feha1' AND '$feha2'  AND estadoDevolucion='PA' AND bodegaVenta=$bodega and dturno='$usuarioA' AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null )";
    }
  }
  
  $resultado1=$this->conectar->query($consulta1);   

  
      $totalDevoParcial=0;
      $totalDevolParcialOtrafe=0;

      $iva5Devo=0;
      $iva19Devo=0;
      $base19Devo=0;
      $base5Devo=0;
      $volExcento=0;
      $valExcluido=0;
      $crdicCleDevo=0;

          $ivaipcd=0;
          $baseipcd=0;
          $ivaotrod=0;
          $baseotrod=0;

    while($file1=mysqli_fetch_object($resultado1)){

      //consultar si la devolucion de un productos es a credicto
      if($usuarioA==""){
        if($_SESSION["activarTurnos"]==2){

          if($_SESSION["tipo"]==1){
            $consulta2="SELECT * FROM facturas WHERE factura='$file1->factura' AND idbodegaF=$bodega and  tipoFactura <> '$this->ExcluirFact'";  
          }else{
            $consulta2="SELECT * FROM facturas WHERE factura='$file1->factura' AND idbodegaF=$bodega and  tipoFactura <> '$this->ExcluirFact' ";  
          }

          
        }else{
        $consulta2="SELECT * FROM facturas WHERE factura='$file1->factura' AND idbodegaF=$bodega and  tipoFactura <> '$this->ExcluirFact'";  
        }
      }else{
        if($_SESSION["activarTurnos"]==2){

          $consulta2="SELECT * FROM facturas WHERE factura='$file1->factura' AND idbodegaF=$bodega and  tipoFactura <> '$this->ExcluirFact' ";  
        }else{
        $consulta2="SELECT * FROM facturas WHERE factura='$file1->factura' AND idbodegaF=$bodega and  tipoFactura <> '$this->ExcluirFact'";  
        
      
      }
      }
         

      $resultado2=$this->conectar->query($consulta2);
      $file2=mysqli_fetch_object($resultado2);


          if($file2->ventCredicto>0){

            if($file1->valor>=$file2->ventCredicto){
              $crdicCleDevo=$crdicCleDevo+$file2->ventCredicto;

            }else{
              $crdicCleDevo=$crdicCleDevo+$file1->valor;
            }
            

          }

            $fecha_inicio = strtotime($feha1);
             $fecha_fin = strtotime($feha2);
              $fechaf = strtotime(substr($file1->fecha, 0, 10));

          if(($fechaf >= $fecha_inicio) && ($fechaf <= $fecha_fin)) {

            
              $totalDevoParcial=$totalDevoParcial+$file1->valor;

          } else {

               $totalDevolParcialOtrafe=$totalDevolParcialOtrafe+$file1->valor;

          }


    

    //fin devoluciones productos cridictos
      $valorr=$file1->valor;
      $tipoIva=$file1->tipoiva;
      $iva19D=0;
      $iva5D=0;
      $base5D=0;
      $base19D=0;
      $devExcluido=0;
      $devExcento=0;

      $ivaipcdd=0;
      $baseipcdd=0;
      $ivaotrodd=0;
      $baseotrodd=0;



      if($tipoIva==19){
        $iva19D=$file1->iva;
        $base19D=$file1->base;

      }else{
        if($tipoIva==5){
          $iva5D=$file1->iva;
          $base5D=$file1->base;
        }else{
         if($tipoIva==1){//excluido
           
           $devExcluido=$file1->base;
         }else{
           if($tipoIva==0){//excluido
           
             $devExcento=$file1->base;
           }else{
            if($tipoIva==8){//excluido
           
              $ivaipcdd=$file1->iva;
              $baseipcdd=$file1->base;
            }else{
              if($tipoIva==10){//excluido
           
                $ivaotrodd=$file1->iva;
                $baseotrodd=$file1->base;
              }
            }
           }
         }
        }

      }
      
      
      // $totalDevoParcial=$totalDevoParcial+$valorr;
      $base5Devo=$base5Devo+ $base5D;
      $iva5Devo=$iva5Devo+$iva5D;

      $base19Devo=$base19Devo+ $base19D;
      $iva19Devo=$iva19Devo+$iva19D;
     

          $ivaipcd= $ivaipcd+ $ivaipcdd;;
          $baseipcd= $baseipcd+ $baseipcdd;
          $ivaotrod=$ivaotrod+$ivaotrodd;
          $baseotrod=$baseotrod+$baseotrodd;

      $valExcluido=$valExcluido+ $devExcluido;
      $volExcento=$volExcento+ $devExcento;
    }
  //fin devoluciones parciales



  //DEVOLUCIONES  NUEVO FORMA



  if($usuarioA==""){
    if($_SESSION["activarTurnos"]==2){

      if($_SESSION["tipo"]==1){
        // $consulta1="SELECT * FROM ventas WHERE LEFT(fechaDevoParcial,10)   BETWEEN '$feha1' AND '$feha2'  AND estadoDevolucion='PA' AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) " ;
        $consulta4="SELECT * FROM devolucionproduc WHERE fechaDv   BETWEEN '$feha1' AND '$feha2'   AND bodegaDV=$bodega AND TipoproducDv <> 'Fabricacion' and  tipoFactura <> '$this->ExcluirFact'" ;
     
      }else{
        // $consulta1="SELECT * FROM ventas INNER JOIN devoluciones on ventas.factura=devoluciones.numFactur  WHERE LEFT(fechaDevoParcial,10)   BETWEEN '$feha1' AND '$feha2' and usuariod='$USUARIO'  AND estadoDevolucion='PA' AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) " ;
        $consulta4="SELECT * FROM devolucionproduc WHERE fechaDv   BETWEEN '$feha1' AND '$feha2' and  usuarioDv='$USUARIO'  AND bodegaDV=$bodega AND TipoproducDv <> 'Fabricacion' and  tipoFactura <> '$this->ExcluirFact'" ;

      }

      
    }else{
    // $consulta1="SELECT * FROM ventas WHERE LEFT(fechaDevoParcial,10)   BETWEEN '$feha1' AND '$feha2'  AND estadoDevolucion='PA' AND bodegaVenta=$bodega AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null ) " ;
   

  
    $consulta4="SELECT * FROM devolucionproduc WHERE fechaDv   BETWEEN '$feha1' AND '$feha2'  AND bodegaDV=$bodega AND TipoproducDv <> 'Fabricacion'  and  tipoFactura <> '$this->ExcluirFact'" ;


  }
 
  }else{
    if($_SESSION["activarTurnos"]==2){



      $consulta4="SELECT * FROM devolucionproduc WHERE fechaDv   BETWEEN '$feha1' AND '$feha2'  AND bodegaDV=$bodega AND TipoproducDv <> 'Fabricacion' and usuarioDv='$usuarioA'  and  tipoFactura <> '$this->ExcluirFact'" ;
      // $consulta1="SELECT * FROM ventas INNER JOIN devoluciones on ventas.factura=devoluciones.numFactur WHERE LEFT(fechaDevoParcial,10)   BETWEEN '$feha1' AND '$feha2'  AND estadoDevolucion='PA' AND bodegaVenta=$bodega and usuariod='$USUARIO' AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null )";
    }else{

      

      $consulta4="SELECT * FROM devolucionproduc WHERE fechaDv   BETWEEN '$feha1' AND '$feha2' and Turno='$usuarioA'  AND bodegaDV=$bodega AND TipoproducDv <> 'Fabricacion' and  tipoFactura <> '$this->ExcluirFact' " ;
    // $consulta1="SELECT * FROM ventas INNER JOIN devoluciones on ventas.factura=devoluciones.numFactur WHERE LEFT(fechaDevoParcial,10)   BETWEEN '$feha1' AND '$feha2'  AND estadoDevolucion='PA' AND bodegaVenta=$bodega and dturno='$usuarioA' AND ( tipoProduct <> 'Fabricacion' or tipoProduct is null )";
    }
  }
    

  $resultado4=$this->conectar->query($consulta4);   

 
  
  $totalDV=0;
  $EfecDvv=0;
  $tarjetDvv=0;
  $trasfeDvv=0;
  $credicDvv=0;

  $iva5Dvv=0;
  $iva19Dvv=0;
  $base19Dvv=0;
  $base5Dvv=0;
  $DvvExcento=0;
  $DvvExcluido=0;
  

      $ivaipcdDvv=0;
      $baseipcdDvv=0;
      $ivaotrodDvv=0;
      $baseotrodDvv=0;
     
  while($file4=mysqli_fetch_object($resultado4)){

    $totalDV=$totalDV + $file4->valorDv;
    $EfecDvv= $EfecDvv + $file4->efectivoDv;
    $tarjetDvv=$tarjetDvv + $file4->tarjetaDv;
    $trasfeDvv=$trasfeDvv + $file4->trasfereDv;
    $credicDvv=$credicDvv+$file4->creditoDv;

    if($file4->tipoIvaDv==5){
      $iva5Dvv=$iva5Dvv+$file4->ivaDv;
      $base5Dvv= $base5Dvv+$file4->baseIvaDv;
    }else if($file4->tipoIvaDv==19){
      $iva19Dvv=$iva19Dvv+$file4->ivaDv;
      $base19Dvv= $base19Dvv+$file4->baseIvaDv;
    }else if($file4->tipoIvaDv==0){
      
      $DvvExcento= $DvvExcento+$file4->baseIvaDv;
    }else if($file4->tipoIvaDv==1){
      
      $DvvExcluido= $DvvExcluido+$file4->baseIvaDv;
    }
    else if($file4->tipoIvaDv==8){
      
      $ivaipcdDvv=$ivaipcdDvv+$file4->ivaDv;
      $baseipcdDvv= $baseipcdDvv+$file4->baseIvaDv;
    } else if($file4->tipoIvaDv==10){
      
      $ivaotrodDvv=$ivaotrodDvv+$file4->ivaDv;
      $baseotrodDvv= $baseotrodDvv+$file4->baseIvaDv;
    }
    // 
// devoluciones factura electronica
    if($file4->tipoFactura=="Electronica" || $file4->tipoFactura=="Pos_Elec" ){
      $electronico=$electronico-$file4->valorDv;
    }else if($file4->tipoFactura=="Pos"){
      $pos=$pos-$file4->valorDv;
    }
    else if($file4->tipoFactura=="Domicilio"){
      $domicili= $domicili-$file4->valorDv;
    }


  }
  
 




  //FIN DEVOLUCIONES  NUEVO FORMA



    //$efectiv=$total-$tcredicto-$tdebito-$vcredict-$totalDevoParcial;
     
     $funct=new infoventas();
     $comp=$funct-> totalescompra($feha1,$feha2,$bodega,$usuarioA,$USUARIO);

    




     $credicompra=$comp[0];
     $contadcompra=$comp[1];
     $comiva5=$comp[2];
     $combase5=$comp[3];
     $comiva19=$comp[4];
     $combase19=$comp[5];
     $comexcento=$comp[6];
     $comexcluido=$comp[7];
     $comprasivaotro=$comp[8];
     $comprasBaseotro=$comp[9];



     
     // $devoluci=$funct->totaldevoluciones($feha1,$feha2);
      // $devoll1= $devoluci[0];
      // $devoll2= $devoluci[1];
      $abonnos=$funct->abonoscartera($feha1,$feha2,$bodega,$usuarioA,$USUARIO);
      $abonoEfectivo=$abonnos["abonoEfect"];
      $abonoTarj=$abonnos["abonotarje"];
      $abonoTrasf=$abonnos["abonoTrasf"];
    
      $gasto=$funct->gastos($feha1,$feha2,$bodega,$usuarioA,$USUARIO);
  
      
      
$totalDevoluOtrasfechas=$totalDevolParcialOtrafe+$totalDevoluOtraFec;


//consultar Retiros Efectivo
$retiro=0;
if($usuarioA==""){

  if($_SESSION["activarTurnos"]==2){
    if($_SESSION["tipo"]==1){
      $sent="SELECT  sum(valorretiro ) as  valorretiro   FROM `retirosefe`    WHERE bodegaRetir=$bodega and fechaRetiro  BETWEEN  '$feha1' AND '$feha2'  ";
      // $sent="SELECT  sum(valorretiro ) as  valorretiro   FROM `retirosefe`    WHERE bodegaRetir=$bodega and LEFT(fechaRetiro,10)  BETWEEN  '$feha1' AND '$feha2'  ";
    }else{
      // $sent="SELECT  sum(valorretiro ) as  valorretiro   FROM `retirosefe`    WHERE bodegaRetir=$bodega and LEFT(fechaRetiro,10)  BETWEEN  '$feha1' AND '$feha2' and usuario='$USUARIO'  ";
    
      $sent="SELECT  sum(valorretiro ) as  valorretiro   FROM `retirosefe`    WHERE bodegaRetir=$bodega and fechaRetiro  BETWEEN  '$feha1' AND '$feha2' and usuario='$USUARIO'  ";
    }

   
  }else{
  // $sent="SELECT  sum(valorretiro ) as  valorretiro   FROM `retirosefe`    WHERE bodegaRetir=$bodega and LEFT(fechaRetiro,10)  BETWEEN  '$feha1' AND '$feha2'   ";
  $sent="SELECT  sum(valorretiro ) as  valorretiro   FROM `retirosefe`    WHERE bodegaRetir=$bodega and fechaRetiro  BETWEEN  '$feha1' AND '$feha2'   ";  
}

  $resultado2=$this->conectar->query($sent);
  //  $val=$resultado2->fetch_all(MYSQLI_ASSOC);
  //  echo(var_dump($val));
  //  die();
if($val=$resultado2->fetch_all(MYSQLI_ASSOC)){
  $retiro=$val[0]["valorretiro"];
}else
{
  $retiro=0; 
}
  
// $filaa=$consultar->fetch_all(MYSQLI_ASSOC);

}else{
  
  if($_SESSION["activarTurnos"]==2){
    // $sent="SELECT  sum(valorretiro ) as  valorretiro   FROM `retirosefe`   WHERE bodegaRetir=$bodega  and LEFT(fechaRetiro,10)  BETWEEN  '$feha1' AND '$feha2' and usuario='$USUARIO'  ";
    $sent="SELECT  sum(valorretiro ) as  valorretiro   FROM `retirosefe`   WHERE bodegaRetir=$bodega  and fechaRetiro  BETWEEN  '$feha1' AND '$feha2' and usuario='$USUARIO'  ";
  
  }else{
  // $sent="SELECT  sum(valorretiro ) as  valorretiro   FROM `retirosefe`   WHERE bodegaRetir=$bodega  and LEFT(fechaRetiro,10)  BETWEEN  '$feha1' AND '$feha2' and TurnoRet='$usuarioA'  ";
  $sent="SELECT  sum(valorretiro ) as  valorretiro   FROM `retirosefe`   WHERE bodegaRetir=$bodega  and fechaRetiro  BETWEEN  '$feha1' AND '$feha2' and TurnoRet='$usuarioA'  ";  
}
  $resultado2=$this->conectar->query($sent);
  // $val=$resultado2->fetch_all(MYSQLI_ASSOC);
  if($val=$resultado2->fetch_all(MYSQLI_ASSOC)){
    $retiro=$val[0]["valorretiro"];
  }else
  {
    $retiro=0; 
  }
    
}

if($_SESSION["activarTurnos"]==2){
  $usuarioA=$USUARIO;
}
/// valor base caja

$slq="SELECT  `baseCaja` FROM `bodegas` WHERE id=$bodega";
$co=$this->conectar->query($slq);
if($val=$co->fetch_all(MYSQLI_ASSOC)){
  $baseCaja=$val[0]["baseCaja"];
}else
{
  $baseCaja=0; 
}

//fon base caja

//fin consoltar retiros

// $abonoEfectivo=$abonnos["abonoEfect"];
// $abonoTarj=$abonnos["abonotarje"];
// $abonoTrasf=$abonnos["abonoTrasf"];




// $totalDV=0;ok
// $EfecDvv=0;ok
// $tarjetDvv=0;ok
// $trasfeDvv=0;ok
// $credicDvv=0;ok

// $iva5Dvv=0;ok
// $iva19Dvv=0;ok
// $base19Dvv=0;ok
// $base5Dvv=0;ok
// $DvvExcento=0;ok
// $DvvExcluido=0;ok


//     $ivaipcdDvv=0;ok
//     $baseipcdDvv=0;ok
//     $ivaotrodDvv=0;
//     $baseotrodDvv=0;


$dat=["valorRetiro"=>$retiro,"otroiva"=>$ivaotro-$ivaotrod-$ivaotrodDvv,
"baseotroiva"=>$baseotro-$baseotrod-$baseotrodDvv,"ivaipc"=>$ivaipc-$ivaipcd-$ivaipcdDvv,
"baseipc"=>$baseipc-$baseipcd-$baseipcdDvv,"totalf"=>$total-$totalDevoParcial-$totalDevolParcialOtrafe-$totalDV,
"iva5"=>$iva5-$iva5Devo-$iva5Dvv,"iva19"=>$iva19-$iva19Devo-$iva19Dvv,"base19"=>$base19-$base19Devo-$base19Dvv,
"base5"=>$base5-$base5Devo-$base5Dvv,
"efectivo"=>$abonoEfectivo+$efectiv-$totalDevoParcial-$totalDevolParcialOtrafe+ $crdicCleDevo-$EfecDvv,
"tcredicto"=>$tcredicto+$abonoTrasf-$trasfeDvv,"tdebito"=>$tdebito+$abonoTarj-$tarjetDvv,
"vcredicto"=>$vcredict-$crdicCleDevo- $credicDvv,
"escento"=>$excento-$volExcento-$DvvExcento,"excluido"=>$excluido-$valExcluido-$DvvExcluido,
"devolucion"=>$totalDevolu+$totalDevoParcial+$totalDevoluOtrasfechas+$totalDV,
"compracredicto"=>$credicompra,
"compracontado"=>$contadcompra,"abonos"=>$abonoEfectivo+ $abonoTarj+$abonoTrasf,
"compraiva5"=>$comiva5,"comprabase5"=>$combase5,
"compraiva19"=>$comiva19,"comprabase19"=>$combase19,
"compraexcento"=>$comexcento,"compraexcluido"=>$comexcluido,
"gastos"=>$gasto,"DevoluionesParcial"=>$totalDevoluOtrasfechas,
"totalpos"=>$pos-$totalDevoParcial-$totalDevolParcialOtrafe,
"totalDomicilio"=>$domicili,"Convenios"=>$Convenios,"totalElectronico"=>$electronico,
"comprasBaseotro"=>$comprasBaseotro,"comprasivaotro"=>$comprasivaotro,
"turno"=>$usuarioA,"servicio"=>$servicio,"basecaja"=>$baseCaja,
"efectivoVenta"=>$efectiv-$totalDevoParcial-$totalDevolParcialOtrafe+ $crdicCleDevo-$EfecDvv];  
      
      echo(json_encode($dat));
    
   
      
    
    }



   // function totaldevoluciones($feha1,$feha2){

      // $consulta="SELECT * FROM facturas WHERE LEFT(fechaDevolucion,10)   BETWEEN '$feha1' AND '$feha2' AND devolucion>0";
      // $resultado=$this->conectar->query($consulta);
      // $vdevolucion=0;
      // $vdevolucionfechaanterior=0;
      // while($file=mysqli_fetch_object($resultado)){

     


      //   $valord=$file->valor;
      //   $fechafact=$file->fechaFactura;

      //   if($fechafact<$feha1){
      //     $vdevolucionfechaanterior=$vdevolucionfechaanterior+$valord;

      //   }else{
         
       
      //     $vdevolucion=$vdevolucion+$valord;
      //   }


      // }


      //parcial
      // $consulta1="SELECT * FROM ventas WHERE LEFT(fechaDevoParcial,10)   BETWEEN '$feha1' AND '$feha2'  AND estadoDevolucion='PA'";
      // $resultado1=$this->conectar->query($consulta1);
      // $vdevolucion1=0;
      // $vdevolucionfechaanterior1=0;
      // while($file1=mysqli_fetch_object($resultado1)){

      //   $valord1=$file1->valor;
      //   $fechafact1=$file1->fecha;

      //   if($fechafact1<$feha1){
      //     $vdevolucionfechaanterior1=$vdevolucionfechaanterior1+$valord1;

      //   }else{
         
       
      //     $vdevolucion1=$vdevolucion1+$valord1;
      //   }


      // }




      // $devoluc=array(2);
      // $devoluc[0]=$vdevolucion+$vdevolucion1;
      // $devoluc[1]=$vdevolucionfechaanterior+ $vdevolucionfechaanterior1;

      // return  $devoluc;

   // }


    function totalescompra($fecha1,$fecha2,$bodega,$usuarioA,$USUARIO){


if($usuarioA==""){

  if($_SESSION["activarTurnos"]==2){
    if($_SESSION["tipo"]==1){
      // $consulta="SELECT * FROM factcompra WHERE LEFT(fechacompra ,10)  BETWEEN '$fecha1' AND '$fecha2' AND idbodegaCo=$bodega  ";
      $consulta="SELECT * FROM factcompra WHERE fechacompra   BETWEEN '$fecha1' AND '$fecha2' AND idbodegaCo=$bodega  ";
    }else{
      // $consulta="SELECT * FROM factcompra WHERE LEFT(fechacompra ,10)  BETWEEN '$fecha1' AND '$fecha2' AND idbodegaCo=$bodega  and usuariofc='$USUARIO'";
      $consulta="SELECT * FROM factcompra WHERE fechacompra   BETWEEN '$fecha1' AND '$fecha2' AND idbodegaCo=$bodega  and usuariofc='$USUARIO'";
    }


   
  }else{
  // $consulta="SELECT * FROM factcompra WHERE LEFT(fechacompra ,10)  BETWEEN '$fecha1' AND '$fecha2' AND idbodegaCo=$bodega ";
  
  $consulta="SELECT * FROM factcompra WHERE fechacompra  BETWEEN '$fecha1' AND '$fecha2' AND idbodegaCo=$bodega ";
}
}else{

  if($_SESSION["activarTurnos"]==2){
    // $consulta="SELECT * FROM factcompra WHERE LEFT(fechacompra ,10)  BETWEEN '$fecha1' AND '$fecha2' AND idbodegaCo=$bodega and usuariofc='$USUARIO'";
    $consulta="SELECT * FROM factcompra WHERE fechacompra  BETWEEN '$fecha1' AND '$fecha2' AND idbodegaCo=$bodega and usuariofc='$USUARIO'";
  
  }else{
  // $consulta="SELECT * FROM factcompra WHERE LEFT(fechacompra ,10)  BETWEEN '$fecha1' AND '$fecha2' AND idbodegaCo=$bodega and fturno='$usuarioA'";
  
  $consulta="SELECT * FROM factcompra WHERE fechacompra   BETWEEN '$fecha1' AND '$fecha2' AND idbodegaCo=$bodega and fturno='$usuarioA'";
}
}
      
      $resultado=$this->conectar->query($consulta);
      $ccredic=0;
      $ccontad=0;
      $civa5=0;
      $cbase5=0;
      $civa19=0;
      $cbase19=0;
      $cexento=0;
      $cexcluido=0;
      $otroiva=0;
      $baseotroiva=0;
      $cbanco=0;

      while($file=mysqli_fetch_object($resultado)){

        $valord=$file->CompCredicto;
        
        
        if($valord>0){

          $ccredic= $ccredic+$valord;


        }else{
          $valorc=$file->totalcompra;

          $ccontad=$ccontad+$valorc;
             $cbanco= $cbanco+$file->compraBanco;
        }

        $iva5c=$file->iva5;
        $base5c=$file->base5;
        $iva19c=$file->iva19;
        $base19c=$file->base19;
        $excentoc=$file->exento;
        $excluidoc=$file->excluido;
        $otroivaa=$file->otroiva;
       $baseotroivaa=$file->baseotroiva;

            
            $civa5= $civa5+$iva5c;
            $cbase5=$cbase5+  $base5c;
            $civa19=$civa19+$iva19c;
            $cbase19=$cbase19+$base19c;
            $cexento=$cexento+$excentoc;
            $cexcluido= $cexcluido+ $excluidoc;
            $otroiva=$otroiva+$otroivaa;
            $baseotroiva=$baseotroiva+$baseotroivaa;


          
       


      }
      $datos=array(8);
     $datos[0]=$ccredic;
     $datos[1]=$ccontad-$cbanco;
     $datos[2]=$civa5;
     $datos[3]=$cbase5;
     $datos[4]=$civa19;
     $datos[5]=$cbase19;
     $datos[6]=$cexento;
     $datos[7]=$cexcluido;
     $datos[8]=$otroiva;
     $datos[9]=$baseotroiva;


return $datos;


    }


function abonoscartera($fecha1,$fecha2,$bodega,$usuarioA,$USUARIO){

      if($usuarioA==""){

        if($_SESSION["activarTurnos"]==2){

          if($_SESSION["tipo"]==1){
            $consulta="SELECT * FROM carteracliente WHERE fechaAbono  BETWEEN '$fecha1' AND '$fecha2' AND idbodega=$bodega ";
          }else{
            $consulta="SELECT * FROM carteracliente WHERE fechaAbono  BETWEEN '$fecha1' AND '$fecha2' AND idbodega=$bodega and usuarioReali='$USUARIO'";
          }
         
        }else{
        $consulta="SELECT * FROM carteracliente WHERE fechaAbono  BETWEEN '$fecha1' AND '$fecha2' AND idbodega=$bodega";
        }
     
      }else{
        if($_SESSION["activarTurnos"]==2){
          $consulta="SELECT * FROM carteracliente WHERE fechaAbono  BETWEEN '$fecha1' AND '$fecha2' AND idbodega=$bodega and usuarioReali='$USUARIO' ";
        }else{
          $consulta="SELECT * FROM carteracliente WHERE fechaAbono  BETWEEN '$fecha1' AND '$fecha2' AND idbodega=$bodega and carturno='$usuarioA' ";
        }
      }
      
      $resultado=$this->conectar->query($consulta);
      $abonos=0;
      $abonoEfect=0;
      $abonoTarje=0;
      $abonoTrasf=0;
      while($file=mysqli_fetch_object($resultado)){
        $abon=$file->abono;     
        if($file->otrosDatos=="BancoTf"){
          $abonoTrasf=$abonoTrasf+$abon;
        }else{
          if($file->otrosDatos=="BancoTa"){
            $abonoTarje=$abonoTarje+$abon;
          }else{
            $abonoEfect=$abonoEfect+$abon;
          }

          
          
        }
          
        // $abonos=$abonos+$abon;

      }

return ["abonotarje"=>$abonoTarje,"abonoTrasf"=>$abonoTrasf,"abonoEfect"=>$abonoEfect];
    }


function gastos($fecha1,$fecha2,$bodega,$usuarioA,$USUARIO){
  if($usuarioA==""){
    if($_SESSION["activarTurnos"]==2){
      if($_SESSION["tipo"]==1){
        $consulta="SELECT * FROM `gastos` WHERE fecha BETWEEN '$fecha1' AND '$fecha2' AND idbodegaG=$bodega and tipoCruze=0";
      }else{
        $consulta="SELECT * FROM `gastos` WHERE fecha BETWEEN '$fecha1' AND '$fecha2' AND idbodegaG=$bodega and usuariog='$USUARIO' and tipoCruze=0 ";
      }

     
    }else{
    $consulta="SELECT * FROM `gastos` WHERE fecha BETWEEN '$fecha1' AND '$fecha2' AND idbodegaG=$bodega and tipoCruze=0";
    }
  }else{
    if($_SESSION["activarTurnos"]==2){
      $consulta="SELECT * FROM `gastos` WHERE fecha BETWEEN '$fecha1' AND '$fecha2' AND idbodegaG=$bodega and usuariog='$USUARIO' and tipoCruze=0";
    }else{
    $consulta="SELECT * FROM `gastos` WHERE fecha BETWEEN '$fecha1' AND '$fecha2' AND idbodegaG=$bodega and gaturno='$usuarioA' and tipoCruze=0";
    }
  }

  
  $resultado=$this->conectar->query($consulta);
  $gastos=0;
  while($file=mysqli_fetch_object($resultado)){
    $abon=$file->valorg;       
    $gastos=$gastos+$abon;

  }

return $gastos;
}

}

  





?>